Subject: Re: WREC/CDNP/extproxy ... moving forward

From: Michael Condry <[email-masked]>
Date: Wed, 11 Oct 2000 09:28:42 -0700 (PDT)

> X-URI: http://www.cs.utk.edu/~moore/
> To: Ian Cooper <[email-masked]>
> cc: Keith Moore <[email-masked]>, LOVRIC Ivan FTRD/DMI/CAE 
<[email-masked]>, [email-masked]
> Subject: Re: WREC/CDNP/extproxy ... moving forward 
> List-Unsubscribe: <mailto:[email-masked]?Subject=unsubscribe>
> 
> > >what if the consumer has a legitimate need to access something that just
> > >happens to look to the virus filter like it contains a virus?
> > >what if the filter doesn't just check for viruses, but also things that
> > >look (to it) like porn?
> > 
> > Those examples are problematic as they demonstrate situations where there
> > could be a valid reason for having filters on the network border.  
> 
> define 'network border'.  :)
> 
> (now try to define it in a world with ubiquitous portable/wireless devices,
> where legitimate interaction patterns no longer correlate well with 
> network topology.  imho, topology-based filters are a dead-end. )
Does it really have to be defined? Its seems that the issue
is "it is not the ends". It can be a device anywhere "inside".

> 
> > In those cases you can argue that the consumer isn't the user sat in 
> > front of her browser, but the guy that decides who can use the network 
> > and what they can use it for.
> 
> you could argue that.  I'm not at all sure it's either socially valuable,
> or that it makes sense from an architectural point of view.
> 
> however, without trying to nail down the definition of 'consumer' just
> yet, my point is that different users have different needs, and 
> the filters which one might find useful, will cause harm to another.
> if you want the system to work predictably you can't have third parties
> who have no responsibility to the consumer or the content-provider
> imposing arbitrary constraints on how the system operates.
> 
> Keith

Isn't there a "content services" model here where one point
is a provider that gets paid and the other is a consumer that
pays.

---

From: Keith Moore <[email-masked]>
Date: Wed, 11 Oct 2000 12:39:18 -0400

> is "it is not the ends". It can be a device anywhere "inside".

my point was that the notion that you can reliably filter traffic by 
interception traffic at some point in the network topology is probably
going to go away.  but yes, once we  have an architecture for locating
intermediaries independent of network topology then those intermediaries
are also in a position to do filtering. 

> is a provider that gets paid and the other is a consumer that

I'd rather leave assumptions about who pays whom out of the model.  
The information might be freely available, or the provider could be 
paying the consumer for reading his advertisements.  

Keith

p.s. actually I don't even like the provider vs. consumer dichotomy - 
I'd rather think in terms of a bidirectional flow of information
without assigning such roles.  after all, nearly every "consumer"
is a provider of some information - forms that are filled in,
click trails derived from cookies, etc. - and I don't inherently
see why consumer-provided information should not be treated with
the same respect as provider-provided information.  either party
should have the right to control dissemenation of that 
information; neither should have it viewed or modified by third
parties without consent.